Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools
Interface SystemEventListener

    public interface SystemEventListener

This interface is used to provide callback style logging for the system events.

The SystemEventListenerFactory is used to provide the default SystemEventListener to various Drools components such as the KnowledgeAgent, ResourceChangeNotifier and ResourceChangeListener. Although many of these components allow the used listener to be overriden with a setSystemEventListener(SystemEventListener) method.

Componens

Method Summary
`void` | `debug(String message)` These should not be logged, just shown if needed.
`void` | `debug(String message, Object object)`
`void` | `exception(String message, Throwable e)` An exception occurred.
`void` | `exception(Throwable e)`
`void` | `info(String message)` For general info messages
`void` | `info(String message, Object object)`
`void` | `warning(String message)` For a warning (useful when tracking down problems).
`void` | `warning(String message, Object object)`

Method Detail

### info

    void info(String message)

  For general info messages

### info

    void info(String message,
              Object object)

### warning

    void warning(String message)

  For a warning (useful when tracking down problems).

### warning

    void warning(String message,
                 Object object)

### exception

    void exception(String message,
                   Throwable e)

  An exception occurred.

### exception

    void exception(Throwable e)

### debug

    void debug(String message)

  These should not be logged, just shown if needed.

### debug

    void debug(String message,
               Object object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.